@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap');

main {
    position: relative;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: start;
    overflow: auto;
    scrollbar-width: none;
}

.div-diario {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    margin: 1rem;
    margin-bottom: 6rem;
    width: 90%;
}

.div_categoria_diario{
    display: flex;
    justify-content: space-between;
    width: 100%;
    background-color: #cdcdcd;
    padding: 0.4rem;
    border-radius: 10px;
    box-sizing: border-box;
}

.texto_categoria_diario{
    margin: 0;
    font-size: 16px;
    font-weight: 400;
    color: black;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    flex: 1;
}

.selecionado{
    background-color: white;
    border-radius: 8px;
    padding: 0.4rem;
}

#diario{
    flex-direction: column;
    gap: 0.5rem;
}

#analise{
    flex-direction: column;
    gap: 0.5rem;
    width: 100%;
}

.sub-cards {
    background-color: #ffffff;
    padding: 0.8rem;
    border-radius: 10px;
    border: 1px solid #cdcdcd;
    width: 100%;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    box-sizing: border-box;
    position: relative;
    justify-content: center;
    align-items: start;
    display: flex;
    flex-direction: column;
    color: black;
}

.sub-cards-acontecimentos {
    background-color: #ffffff;
    padding: 0.8rem;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    border: 1px solid #cdcdcd;
    width: 100%;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    box-sizing: border-box;
    position: relative;
    justify-content: center;
    align-items: start;
    display: flex;
    flex-direction: column;
    color: black;
}

.titulo_pontos {
    font-weight: 500;
    margin: 0;
    margin-bottom: 0.8rem;
    font-size: 18px;
}

.titulo_tarefas {
    font-size: 16px;
    font-weight: 400;
    margin: 0;
    margin-bottom: 0.2rem;
}

.descricao_tarefas {
    font-size: 18px;
    font-weight: 400;
    color: grey;
    margin: 0;
}

.inputs_pontos {
    width: 100%;
    background-color: #f5f5f5;
    color: #242424;
    padding: .15rem .5rem;
    min-height: 40px;
    border-radius: 4px;
    outline: none;
    border: none;
    line-height: 1.15;
    box-shadow: 0px 10px 20px -18px;
    box-sizing: border-box;
    font-family: 'Poppins';
}

.inputs_pontos_descricao {
    width: 100%;
    background-color: #f5f5f5;
    color: #242424;
    padding: 0.2rem 0.4rem;
    resize: none;
    border-radius: 4px;
    outline: none;
    border: none;
    line-height: 1.15;
    box-shadow: 0px 10px 20px -18px;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

.container_registro {
    display: flex;
    flex-direction: column;
    width: 100%;
    gap: 1rem;
}

.btn_enviar_registro {
    appearance: none;
    background-color: #2ea44f;
    border: none;
    border-radius: 6px;
    box-shadow: rgba(27, 31, 35, .1) 0 1px 0;
    box-sizing: border-box;
    color: #fff;
    cursor: pointer;
    display: inline-block;
    font-family: 'Poppins', sans-serif;
    font-size: 14px;
    font-weight: 400;
    line-height: 20px;
    padding: 6px 16px;
    width: 100%;
    position: relative;
    text-align: center;
    text-decoration: none;
    user-select: none;
    -webkit-user-select: none;
    white-space: nowrap;
}

.cards_acontecimentos {
    width: 100%;
}

.img_acontecimentos_wrapper {
    position: relative;
    width: 100%;
    border-top-right-radius: 10px;
    border-top-left-radius: 10px;
    overflow: hidden;
}

.img_acontecimentos {
    width: 100%;
    display: block;
    border-top-right-radius: 10px;
    border-top-left-radius: 10px;
    max-height: 200px;
    object-fit: cover;
}

.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(29, 29, 29, 0.6);
}







.emojis {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 0.5rem;
}

.emojis_diario{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0.5rem;
    margin-top: 1rem;
}

.emoji {
    font-size: 2rem;
    cursor: pointer;
    transition: transform 0.2s ease;
    opacity: 0.9;
}

.emoji:hover {
    transform: scale(1.2);
}

.emoji.selected {
    transform: scale(1.2);
    filter: brightness(1.1);
}

/* Cores baseadas na escala da imagem */
.emoji-5 { color: #0fb78d; }   /* verde escuro */
.emoji-4 { color: #3ec47b; }   /* verde médio */
.emoji-3 { color: #87c763; }   /* verde-amarelado */
.emoji-2 { color: #d1b13c; }   /* amarelo queimado */
.emoji-1 { color: #e07c3e; }   /* laranja forte */
.emoji-0 { color: #e4432d; }   /* vermelho intenso */

.calendario-container {
    width: 100%;
    background-color: white;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    margin: auto;
    padding: 1rem;
    font-family: sans-serif;
    box-sizing: border-box;
  }
  .calendario-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    text-align: center;
    margin-bottom: 1rem;
  }
  .calendario-header h3 {
    margin: 0;
    font-size: 1rem;
  }
  .arrow {
    background: none;
    border: none;
    font-size: 1.5rem;
    cursor: pointer;
  }
  .calendario-semana,
  .calendario-dias {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    text-align: center;
    gap: 0.3rem;
    place-items: center;
  }

  #diario{
    width: 100%;
  }

  .calendario-semana span {
    font-weight: 600;
    font-size: 0.9rem;
    color: black;
    font-family: 'Poppins';
  }
  .calendario-dias .day {
    width: 28px;
    height: 28px;
    color: #555;
    font-family: 'Poppins';
    cursor: pointer;
    background-color: #eee;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 4px;
    font-size: 12px;
    box-sizing: border-box;
  }
  .calendario-dias .day.vazio {
    border: none;
  }

  .day.selected {
  border: 2px solid #0083B1;
}

#mesAno{
    color: black;
    font-family: 'Poppins';
    font-weight: 500;
}

.titulo_pagina{
    font-size: 18px;
    margin: 0;
    color: black;
    font-weight: 600;
}

.div_select_grafico{
    display: flex;
    justify-content: space-between;
    gap: 0.6rem;
    width: 100%;
}

.inputs_pontos_descricao_datas{
    background-color: #f5f5f5;
    color: #242424;
    padding: .3rem;
    border-radius: 10px;
    outline: none;
    border: none;
    line-height: 1.15;
    box-sizing: border-box;
    font-family: 'Poppins';
}

.inputs_acoes_diario{
    width: 100%;
    background-color: #f5f5f5;
    color: #242424;
    padding: 0.8rem 0.4rem;
    resize: none;
    border-radius: 8px;
    outline: none;
    border: none;
    line-height: 1.15;
    box-shadow: 0px 10px 20px -18px;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}